# NATS C Client with JetStream and Streaming support: micro_service_info_s Struct Reference

Loading...
Searching...
No Matches
micro_service_info_s Struct Reference
EXPERIMENTAL - Microservices » Public structs

`#include <nats.h>`

## Public Attributes

const char * | Type
| Response type. Always `"io.nats.micro.v1.info_response"`.
const char * | Name
| The name of the service.
const char * | Version
| The semantic version of the service.
const char * | Description
| The description of the service.
const char * | Id
| The ID of the service instance responding to the request.
natsMetadata | Metadata
| Metadata for the service, a JSON-encoded user-provided object, e.g. `{"key":"value"}`
microEndpointInfo * | Endpoints
| Endpoints.
int | EndpointsLen
| The number of endpoints in the `Endpoints` array.

## Detailed Description

microServiceInfo is the struct returned by microService_GetInfo function. It is also accessible by sending a `$SRV.INFO.<service-name>[.<id>]` request to the service.

## Member Data Documentation

## Type

const char* micro_service_info_s::Type

## Name

const char* micro_service_info_s::Name

## Version

const char* micro_service_info_s::Version

## Description

const char* micro_service_info_s::Description

## Id

const char* micro_service_info_s::Id

## Metadata

natsMetadata micro_service_info_s::Metadata

## Endpoints

microEndpointInfo* micro_service_info_s::Endpoints

## EndpointsLen

int micro_service_info_s::EndpointsLen

The documentation for this struct was generated from the following file:

- nats.h